﻿//------------------------------------------------------------------------------
// <auto-generated>
//     Este código fue generado por una herramienta.
//     Versión de runtime:4.0.30319.42000
//
//     Los cambios en este archivo podrían causar un comportamiento incorrecto y se perderán si
//     se vuelve a generar el código.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ProyectoFinalCliente1.ServiceReference1 {
    using System.Runtime.Serialization;
    using System;
    
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="Blog", Namespace="http://schemas.datacontract.org/2004/07/ProyectoFinalWCF.models")]
    [System.SerializableAttribute()]
    public partial class Blog : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string pContenidoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string pEstadoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private System.DateTime pFechaCreacionField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int pIdField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int pIdAutorField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int pLikesField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string pTituloField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int pVistasField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string pContenido {
            get {
                return this.pContenidoField;
            }
            set {
                if ((object.ReferenceEquals(this.pContenidoField, value) != true)) {
                    this.pContenidoField = value;
                    this.RaisePropertyChanged("pContenido");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string pEstado {
            get {
                return this.pEstadoField;
            }
            set {
                if ((object.ReferenceEquals(this.pEstadoField, value) != true)) {
                    this.pEstadoField = value;
                    this.RaisePropertyChanged("pEstado");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public System.DateTime pFechaCreacion {
            get {
                return this.pFechaCreacionField;
            }
            set {
                if ((this.pFechaCreacionField.Equals(value) != true)) {
                    this.pFechaCreacionField = value;
                    this.RaisePropertyChanged("pFechaCreacion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int pId {
            get {
                return this.pIdField;
            }
            set {
                if ((this.pIdField.Equals(value) != true)) {
                    this.pIdField = value;
                    this.RaisePropertyChanged("pId");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int pIdAutor {
            get {
                return this.pIdAutorField;
            }
            set {
                if ((this.pIdAutorField.Equals(value) != true)) {
                    this.pIdAutorField = value;
                    this.RaisePropertyChanged("pIdAutor");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int pLikes {
            get {
                return this.pLikesField;
            }
            set {
                if ((this.pLikesField.Equals(value) != true)) {
                    this.pLikesField = value;
                    this.RaisePropertyChanged("pLikes");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string pTitulo {
            get {
                return this.pTituloField;
            }
            set {
                if ((object.ReferenceEquals(this.pTituloField, value) != true)) {
                    this.pTituloField = value;
                    this.RaisePropertyChanged("pTitulo");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int pVistas {
            get {
                return this.pVistasField;
            }
            set {
                if ((this.pVistasField.Equals(value) != true)) {
                    this.pVistasField = value;
                    this.RaisePropertyChanged("pVistas");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="BlogFoult", Namespace="http://schemas.datacontract.org/2004/07/ProyectoFinalWCF.models")]
    [System.SerializableAttribute()]
    public partial class BlogFoult : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int pCodBlogField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int pCodErrorField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string pDetailErrorField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string pNombreField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int pCodBlog {
            get {
                return this.pCodBlogField;
            }
            set {
                if ((this.pCodBlogField.Equals(value) != true)) {
                    this.pCodBlogField = value;
                    this.RaisePropertyChanged("pCodBlog");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int pCodError {
            get {
                return this.pCodErrorField;
            }
            set {
                if ((this.pCodErrorField.Equals(value) != true)) {
                    this.pCodErrorField = value;
                    this.RaisePropertyChanged("pCodError");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string pDetailError {
            get {
                return this.pDetailErrorField;
            }
            set {
                if ((object.ReferenceEquals(this.pDetailErrorField, value) != true)) {
                    this.pDetailErrorField = value;
                    this.RaisePropertyChanged("pDetailError");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string pNombre {
            get {
                return this.pNombreField;
            }
            set {
                if ((object.ReferenceEquals(this.pNombreField, value) != true)) {
                    this.pNombreField = value;
                    this.RaisePropertyChanged("pNombre");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="Categoria", Namespace="http://schemas.datacontract.org/2004/07/ProyectoFinalWCF.models")]
    [System.SerializableAttribute()]
    public partial class Categoria : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string pEstadoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int pIdField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string pNombreField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string pEstado {
            get {
                return this.pEstadoField;
            }
            set {
                if ((object.ReferenceEquals(this.pEstadoField, value) != true)) {
                    this.pEstadoField = value;
                    this.RaisePropertyChanged("pEstado");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int pId {
            get {
                return this.pIdField;
            }
            set {
                if ((this.pIdField.Equals(value) != true)) {
                    this.pIdField = value;
                    this.RaisePropertyChanged("pId");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string pNombre {
            get {
                return this.pNombreField;
            }
            set {
                if ((object.ReferenceEquals(this.pNombreField, value) != true)) {
                    this.pNombreField = value;
                    this.RaisePropertyChanged("pNombre");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(ConfigurationName="ServiceReference1.IBlogService")]
    public interface IBlogService {
        
        [System.ServiceModel.OperationContractAttribute(ProtectionLevel=System.Net.Security.ProtectionLevel.None, Action="http://tempuri.org/IBlogService/createBlog", ReplyAction="http://tempuri.org/IBlogService/createBlogResponse")]
        [System.ServiceModel.FaultContractAttribute(typeof(ProyectoFinalCliente1.ServiceReference1.BlogFoult), Action="http://tempuri.org/IBlogService/createBlogBlogFoultFault", ProtectionLevel=System.Net.Security.ProtectionLevel.None, Name="BlogFoult", Namespace="http://schemas.datacontract.org/2004/07/ProyectoFinalWCF.models")]
        [System.ServiceModel.TransactionFlowAttribute(System.ServiceModel.TransactionFlowOption.Mandatory)]
        bool createBlog(ProyectoFinalCliente1.ServiceReference1.Blog blog);
        
        [System.ServiceModel.OperationContractAttribute(ProtectionLevel=System.Net.Security.ProtectionLevel.None, Action="http://tempuri.org/IBlogService/createBlog", ReplyAction="http://tempuri.org/IBlogService/createBlogResponse")]
        System.Threading.Tasks.Task<bool> createBlogAsync(ProyectoFinalCliente1.ServiceReference1.Blog blog);
        
        [System.ServiceModel.OperationContractAttribute(ProtectionLevel=System.Net.Security.ProtectionLevel.EncryptAndSign, Action="http://tempuri.org/IBlogService/blogById", ReplyAction="http://tempuri.org/IBlogService/blogByIdResponse")]
        ProyectoFinalCliente1.ServiceReference1.Blog blogById(int id);
        
        [System.ServiceModel.OperationContractAttribute(ProtectionLevel=System.Net.Security.ProtectionLevel.EncryptAndSign, Action="http://tempuri.org/IBlogService/blogById", ReplyAction="http://tempuri.org/IBlogService/blogByIdResponse")]
        System.Threading.Tasks.Task<ProyectoFinalCliente1.ServiceReference1.Blog> blogByIdAsync(int id);
        
        [System.ServiceModel.OperationContractAttribute(ProtectionLevel=System.Net.Security.ProtectionLevel.EncryptAndSign, Action="http://tempuri.org/IBlogService/searchBlog", ReplyAction="http://tempuri.org/IBlogService/searchBlogResponse")]
        ProyectoFinalCliente1.ServiceReference1.Blog[] searchBlog(string criteria);
        
        [System.ServiceModel.OperationContractAttribute(ProtectionLevel=System.Net.Security.ProtectionLevel.EncryptAndSign, Action="http://tempuri.org/IBlogService/searchBlog", ReplyAction="http://tempuri.org/IBlogService/searchBlogResponse")]
        System.Threading.Tasks.Task<ProyectoFinalCliente1.ServiceReference1.Blog[]> searchBlogAsync(string criteria);
        
        [System.ServiceModel.OperationContractAttribute(ProtectionLevel=System.Net.Security.ProtectionLevel.EncryptAndSign, Action="http://tempuri.org/IBlogService/blogsByLikes", ReplyAction="http://tempuri.org/IBlogService/blogsByLikesResponse")]
        ProyectoFinalCliente1.ServiceReference1.Blog[] blogsByLikes();
        
        [System.ServiceModel.OperationContractAttribute(ProtectionLevel=System.Net.Security.ProtectionLevel.EncryptAndSign, Action="http://tempuri.org/IBlogService/blogsByLikes", ReplyAction="http://tempuri.org/IBlogService/blogsByLikesResponse")]
        System.Threading.Tasks.Task<ProyectoFinalCliente1.ServiceReference1.Blog[]> blogsByLikesAsync();
        
        [System.ServiceModel.OperationContractAttribute(ProtectionLevel=System.Net.Security.ProtectionLevel.EncryptAndSign, Action="http://tempuri.org/IBlogService/blogsByViews", ReplyAction="http://tempuri.org/IBlogService/blogsByViewsResponse")]
        ProyectoFinalCliente1.ServiceReference1.Blog[] blogsByViews();
        
        [System.ServiceModel.OperationContractAttribute(ProtectionLevel=System.Net.Security.ProtectionLevel.EncryptAndSign, Action="http://tempuri.org/IBlogService/blogsByViews", ReplyAction="http://tempuri.org/IBlogService/blogsByViewsResponse")]
        System.Threading.Tasks.Task<ProyectoFinalCliente1.ServiceReference1.Blog[]> blogsByViewsAsync();
        
        [System.ServiceModel.OperationContractAttribute(ProtectionLevel=System.Net.Security.ProtectionLevel.EncryptAndSign, Action="http://tempuri.org/IBlogService/blogsByCategory", ReplyAction="http://tempuri.org/IBlogService/blogsByCategoryResponse")]
        ProyectoFinalCliente1.ServiceReference1.Blog[] blogsByCategory(ProyectoFinalCliente1.ServiceReference1.Categoria category);
        
        [System.ServiceModel.OperationContractAttribute(ProtectionLevel=System.Net.Security.ProtectionLevel.EncryptAndSign, Action="http://tempuri.org/IBlogService/blogsByCategory", ReplyAction="http://tempuri.org/IBlogService/blogsByCategoryResponse")]
        System.Threading.Tasks.Task<ProyectoFinalCliente1.ServiceReference1.Blog[]> blogsByCategoryAsync(ProyectoFinalCliente1.ServiceReference1.Categoria category);
        
        [System.ServiceModel.OperationContractAttribute(ProtectionLevel=System.Net.Security.ProtectionLevel.EncryptAndSign, Action="http://tempuri.org/IBlogService/blogsByAuthor", ReplyAction="http://tempuri.org/IBlogService/blogsByAuthorResponse")]
        ProyectoFinalCliente1.ServiceReference1.Blog[] blogsByAuthor(int id);
        
        [System.ServiceModel.OperationContractAttribute(ProtectionLevel=System.Net.Security.ProtectionLevel.EncryptAndSign, Action="http://tempuri.org/IBlogService/blogsByAuthor", ReplyAction="http://tempuri.org/IBlogService/blogsByAuthorResponse")]
        System.Threading.Tasks.Task<ProyectoFinalCliente1.ServiceReference1.Blog[]> blogsByAuthorAsync(int id);
        
        [System.ServiceModel.OperationContractAttribute(ProtectionLevel=System.Net.Security.ProtectionLevel.EncryptAndSign, Action="http://tempuri.org/IBlogService/eliminarBlog", ReplyAction="http://tempuri.org/IBlogService/eliminarBlogResponse")]
        bool eliminarBlog(int id);
        
        [System.ServiceModel.OperationContractAttribute(ProtectionLevel=System.Net.Security.ProtectionLevel.EncryptAndSign, Action="http://tempuri.org/IBlogService/eliminarBlog", ReplyAction="http://tempuri.org/IBlogService/eliminarBlogResponse")]
        System.Threading.Tasks.Task<bool> eliminarBlogAsync(int id);
        
        [System.ServiceModel.OperationContractAttribute(ProtectionLevel=System.Net.Security.ProtectionLevel.EncryptAndSign, Action="http://tempuri.org/IBlogService/ultimoBlogCreadoPorAutor", ReplyAction="http://tempuri.org/IBlogService/ultimoBlogCreadoPorAutorResponse")]
        ProyectoFinalCliente1.ServiceReference1.Blog ultimoBlogCreadoPorAutor(int idAutor);
        
        [System.ServiceModel.OperationContractAttribute(ProtectionLevel=System.Net.Security.ProtectionLevel.EncryptAndSign, Action="http://tempuri.org/IBlogService/ultimoBlogCreadoPorAutor", ReplyAction="http://tempuri.org/IBlogService/ultimoBlogCreadoPorAutorResponse")]
        System.Threading.Tasks.Task<ProyectoFinalCliente1.ServiceReference1.Blog> ultimoBlogCreadoPorAutorAsync(int idAutor);
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface IBlogServiceChannel : ProyectoFinalCliente1.ServiceReference1.IBlogService, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class BlogServiceClient : System.ServiceModel.ClientBase<ProyectoFinalCliente1.ServiceReference1.IBlogService>, ProyectoFinalCliente1.ServiceReference1.IBlogService {
        
        public BlogServiceClient() {
        }
        
        public BlogServiceClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public BlogServiceClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public BlogServiceClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public BlogServiceClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        public bool createBlog(ProyectoFinalCliente1.ServiceReference1.Blog blog) {
            return base.Channel.createBlog(blog);
        }
        
        public System.Threading.Tasks.Task<bool> createBlogAsync(ProyectoFinalCliente1.ServiceReference1.Blog blog) {
            return base.Channel.createBlogAsync(blog);
        }
        
        public ProyectoFinalCliente1.ServiceReference1.Blog blogById(int id) {
            return base.Channel.blogById(id);
        }
        
        public System.Threading.Tasks.Task<ProyectoFinalCliente1.ServiceReference1.Blog> blogByIdAsync(int id) {
            return base.Channel.blogByIdAsync(id);
        }
        
        public ProyectoFinalCliente1.ServiceReference1.Blog[] searchBlog(string criteria) {
            return base.Channel.searchBlog(criteria);
        }
        
        public System.Threading.Tasks.Task<ProyectoFinalCliente1.ServiceReference1.Blog[]> searchBlogAsync(string criteria) {
            return base.Channel.searchBlogAsync(criteria);
        }
        
        public ProyectoFinalCliente1.ServiceReference1.Blog[] blogsByLikes() {
            return base.Channel.blogsByLikes();
        }
        
        public System.Threading.Tasks.Task<ProyectoFinalCliente1.ServiceReference1.Blog[]> blogsByLikesAsync() {
            return base.Channel.blogsByLikesAsync();
        }
        
        public ProyectoFinalCliente1.ServiceReference1.Blog[] blogsByViews() {
            return base.Channel.blogsByViews();
        }
        
        public System.Threading.Tasks.Task<ProyectoFinalCliente1.ServiceReference1.Blog[]> blogsByViewsAsync() {
            return base.Channel.blogsByViewsAsync();
        }
        
        public ProyectoFinalCliente1.ServiceReference1.Blog[] blogsByCategory(ProyectoFinalCliente1.ServiceReference1.Categoria category) {
            return base.Channel.blogsByCategory(category);
        }
        
        public System.Threading.Tasks.Task<ProyectoFinalCliente1.ServiceReference1.Blog[]> blogsByCategoryAsync(ProyectoFinalCliente1.ServiceReference1.Categoria category) {
            return base.Channel.blogsByCategoryAsync(category);
        }
        
        public ProyectoFinalCliente1.ServiceReference1.Blog[] blogsByAuthor(int id) {
            return base.Channel.blogsByAuthor(id);
        }
        
        public System.Threading.Tasks.Task<ProyectoFinalCliente1.ServiceReference1.Blog[]> blogsByAuthorAsync(int id) {
            return base.Channel.blogsByAuthorAsync(id);
        }
        
        public bool eliminarBlog(int id) {
            return base.Channel.eliminarBlog(id);
        }
        
        public System.Threading.Tasks.Task<bool> eliminarBlogAsync(int id) {
            return base.Channel.eliminarBlogAsync(id);
        }
        
        public ProyectoFinalCliente1.ServiceReference1.Blog ultimoBlogCreadoPorAutor(int idAutor) {
            return base.Channel.ultimoBlogCreadoPorAutor(idAutor);
        }
        
        public System.Threading.Tasks.Task<ProyectoFinalCliente1.ServiceReference1.Blog> ultimoBlogCreadoPorAutorAsync(int idAutor) {
            return base.Channel.ultimoBlogCreadoPorAutorAsync(idAutor);
        }
    }
}
